# Uses of Annotation Type
org.apache.sling.testing.mock.osgi.config.annotations.ConfigType

Packages that use ConfigType
Package
Description
org.apache.sling.testing.mock.osgi.config
OSGi Config Type Parameters core implementation.

## Uses of ConfigType in org.apache.sling.testing.mock.osgi.config

Methods in org.apache.sling.testing.mock.osgi.config with parameters of type ConfigType
Modifier and Type
Method
Description
`Object`
ConfigTypeContext.`constructConfigType(@NotNull ConfigType annotation)`
Return a concrete instance of the OSGi config / Component Property Type represented by the given `ConfigType` annotation discovered via reflection.
`Object`
ConfigTypeContext.`constructConfigType(@NotNull ConfigType annotation, @Nullable String applyPid)`
Return a concrete instance of the OSGi config / Component Property Type represented by the given `ConfigType` annotation discovered via reflection.